
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Sass函数--列表函数 / 憋错料</title>

    <meta name="description" content="Sass函数--列表函数 列表函数简介 列表函数主要包括一些对列表参数的函数使用,主要包括以下几种: length($list):返回一个列表的长度值: nth($list, $n):返回一个列表中指定的某个标签值  join($list1, $list2, [$separator]):将两个列给连接在一起,变成一个列表: append($list1, $val, [$separator]):将某个值放在列表的最后: zip($lists…):将几个列表结合成一个多维的列表: index($list, $value):返">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Sass函数--列表函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>列表函数简介</strong></p>
<p>列表函数主要包括一些对列表参数的函数使用，主要包括以下几种：</p>
<ul>
<li><strong>length($list)</strong>：返回一个列表的长度值；</li>
<li><strong>nth($list, $n)</strong>：返回一个列表中指定的某个标签值</li>
<li><strong>&nbsp;join($list1, $list2, [$separator])</strong>：将两个列给连接在一起，变成一个列表；</li>
<li><strong>append($list1, $val, [$separator])</strong>：将某个值放在列表的最后；</li>
<li><strong>zip($lists&hellip;)</strong>：将几个列表结合成一个多维的列表；</li>
<li><strong>index($list, $value)</strong>：返回一个值在列表中的位置值。</li>
</ul>
<p>列表函数中的每个函数都有其独特的作用与功能</p>
<p><strong>length()函数</strong><br /><strong>length()</strong>函数主要用来返回一个列表中有几个值，简单点说就是<strong>返回列表清单中有多少个值</strong>：</p>
<pre>1 &gt;&gt; length(10px)
2 1
3 &gt;&gt; length(10px 20px (border 1px solid) 2em)
4 4
5 &gt;&gt; length(border 1px solid)
6 3</pre>
<p><strong>length()</strong> 函数中的列表参数之间使用空格隔开，不能使用逗号，否则函数将会出错：</p>
<pre>1 &gt;&gt; length(10px,20px,(border 1px solid),2em)
2 SyntaxError: wrong number of arguments (4 for 1) for `length‘
3 &gt;&gt; length(1,2px)
4 SyntaxError: wrong number of arguments (2 for 1) for `length‘</pre>
<p><strong>nth()函数</strong><br />语法：</p>
<pre>nth($list,$n)</pre>
<p><strong>nth()</strong>函数用来指定列表中某个位置的值。在Sass中，<strong>nth()</strong>函数和其他语言不同，<strong>1是指列表中的第一个标签值，2是指列表中的第二个标签值</strong>，依此类推。如：</p>
<pre>1 &gt;&gt; nth(10px 20px 30px,1)
2 10px
3 &gt;&gt; nth((Helvetica,Arial,sans-serif),2)
4 "Arial"
5 &gt;&gt; nth((1px solid red) border-top green,1)
6 (1px "solid" #ff0000)</pre>
<p>注：在<strong> nth($list,$n)</strong> 函数中的<strong> $n</strong> 必须是大于 <strong>0</strong> 的整数：</p>
<pre>1 &gt;&gt; nth((1px solid red) border-top green 1 ,0)
2 SyntaxError: List index 0 must be a non-zero integer for `nth‘</pre>
<p><strong>join()函数</strong><br /><strong>join()</strong>函数是将两个列表连接合并成一个列表。</p>
<pre>1 &gt;&gt; join(10px 20px, 30px 40px)
2 10px 20px 30px 40px
3 &gt;&gt; join((blue,red),(#abc,#def))
4 #0000ff, #ff0000, #aabbcc, #ddeeff
5 &gt;&gt; join((blue,red),(#abc #def))
6 #0000ff, #ff0000, #aabbcc, #ddeeff</pre>
<p>不过<strong>join()</strong>只能将两个列表连城一个列表，如果直接连接两个以上的列表将会报错。<br /><strong>但很多时候不只碰到两个列表连接成一个列表，这个时候就需要将多个 join() 函数合并在一起使用：</strong></p>
<pre>1 &gt;&gt; join((blue red), join((#abc #def),(#dee #eff)))
2 #0000ff #ff0000 #aabbcc #ddeeff #ddeeee #eeffff</pre>
<p>但当第一个列表中只有一个列表项，那么 join() 函数合并的列表项目中每个列表项目之间使用的分隔符号会根据第二个列表项中使用的，如果第二列表项中使用是,分隔，则使用逗号分隔；如果第二列项之间使用的空格符，则使用空格分隔：</p>
<pre>1 &gt;&gt; join(blue,(green, orange))
2 #0000ff, #008000, #ffa500
3 &gt;&gt; join(blue,(green orange))
4 #0000ff #008000 #ffa500</pre>
<p>如果当两个列表中的列表项小于1时，将会以空格分隔：</p>
<pre>1 &gt;&gt; join(blue,red)
2 #0000ff #ff0000</pre>
<p>什么时候会是用逗号分隔合并的列表项，什么时候是使用空格分隔合并的列表项，建议使用 join() 函数合并列表项的时候就明确指定 $separator 参数，用来指定合并的列表中使用什么方式来分隔列表项：</p>
<pre> 1 &gt;&gt; join(blue,red,comma)
 2 #0000ff, #ff0000
 3 &gt;&gt; join(blue,red,space)
 4 #0000ff #ff0000
 5 &gt;&gt; join((blue green),(red,orange),comma)
 6 #0000ff, #008000, #ff0000, #ffa500
 7 &gt;&gt; join((blue green),(red,orange),space)
 8 #0000ff #008000 #ff0000 #ffa500
 9 &gt;&gt; join((blue, green),(red,orange),comma)
10 #0000ff, #008000, #ff0000, #ffa500
11 &gt;&gt; join((blue, green),(red,orange),space)
12 #0000ff #008000 #ff0000 #ffa500
13 &gt;&gt; join(blue,(red,orange),comma)
14 #0000ff, #ff0000, #ffa500
15 &gt;&gt; join(blue,(red,orange),space)
16 #0000ff #ff0000 #ffa500
17 &gt;&gt; join(blue,(red orange),comma)
18 #0000ff, #ff0000, #ffa500
19 &gt;&gt; join(blue,(red orange),space)
20 #0000ff #ff0000 #ffa500</pre>
<p><strong>append()函数</strong><br /><strong>append()函数是用来将某个值插入到列表中，并且处于最末位。</strong></p>
<pre>1 &gt;&gt; append(10px 20px ,30px)
2 10px 20px 30px
3 &gt;&gt; append((10px,20px),30px)
4 (10px, 20px, 30px)
5 &gt;&gt; append(green,red)
6 #008000 #ff0000
7 &gt;&gt; append(red,(green,blue))
8 #ff0000 #008000, #0000ff</pre>
<p>如果没有明确的指定 $separator 参数值，其默认值是 auto。<br />如果列表只有一个列表项时，那么插入进来的值将和原来的值会以空格的方式分隔。<br />如果列表中列表项是以空格分隔列表项，那么插入进来的列表项也将以空格分隔；<br />如果列表中列表项是以逗号分隔列表项，那么插入进来的列表项也将以逗号分隔。<br /><strong>在 append() 函数中，可以显示的设置 $separator 参数，</strong><br />如果取值为 comma 将会以逗号分隔列表项<br />如果取值为 space 将会以空格分隔列表项</p>
<pre> 1 &gt;&gt; append((blue green),red,comma)
 2 #0000ff, #008000, #ff0000
 3 &gt;&gt; append((blue green),red,space)
 4 #0000ff #008000 #ff0000
 5 &gt;&gt; append((blue, green),red,comma)
 6 #0000ff, #008000, #ff0000
 7 &gt;&gt; append((blue, green),red,space)
 8 #0000ff #008000 #ff0000
 9 &gt;&gt; append(blue,red,comma)
10 #0000ff, #ff0000
11 &gt;&gt; append(blue,red,space)
12 #0000ff #ff0000</pre>
<p><strong>zip()函数</strong><br /><strong>zip()函数将多个列表值转成一个多维的列表：</strong></p>
<pre>1 &gt;&gt; zip(1px 2px 3px,solid dashed dotted,green blue red)
2 1px "solid" #008000, 2px "dashed" #0000ff, 3px "dotted" #ff0000</pre>
<p>在使用zip()函数时，每个单一的列表个数值必须是相同的：<br />|--- List ---|--- nth(1) ---|--- nth(2) ---|--- nth(3) ---|<br />|------------|--------------|--------------|--------------|<br />| List1 | 1px | 2px | 3px |<br />|------------|--------------|--------------|--------------|<br />| List2 | solid | dashed | dotted |<br />|------------|--------------|--------------|--------------|<br />| List3 | green | blue | red |<br />|------------|--------------|--------------|--------------|<br /><strong>zip()函数组合出来就成了：</strong></p>
<pre>1px solid green, 2px dashed blue, 3px dotted red</pre>
<p><strong>index()函数</strong><br /><strong>index() 函数类似于索引一样，主要让你找到某个值在列表中所处的位置。在 Sass 中，第一个值就是1，第二个值就是 2，依此类推：</strong></p>
<pre>1 &gt;&gt; index(1px solid red, 1px)
2 1
3 &gt;&gt; index(1px solid red, solid)
4 2
5 &gt;&gt; index(1px solid red, red)
6 3</pre>
<p>在 <strong>index()</strong> 函数中，如果指定的值不在列表中（没有找到相应的值），那么返回的值将是 false，相反就会返回对应的值在列表中所处的位置。</p>
<pre>1 &gt;&gt; index(1px solid red,dotted) //列表中没有找到 dotted
2 false
3 &gt;&gt; index(1px solid red,solid) //列表中找到 solid 值，并且返回他的位置值 2
4 2</pre>
<p><strong>Introspection函数</strong></p>
<p>Introspection函数包括了几个判断型函数：</p>
<ul>
<li>type-of($value)：返回一个值的类型</li>
<li>unit($number)：返回一个值的单位；</li>
<li>unitless($number)：判断一个值是否带有带位</li>
<li>comparable($number-1, $number-2)：判断两个值是否可以做加、减和合并</li>
</ul>
<p><strong>Introspection 函数 -type-of()</strong><br /><strong>type-of()函数主要用来判断一个值是属于什么类型：</strong></p>
<p>返回值：</p>
<ul>
<li>number&nbsp;为数值型。</li>
<li>string&nbsp;为字符串型。</li>
<li>bool&nbsp;为布尔型。</li>
<li>color&nbsp;为颜色型。</li>
</ul>

<pre> 1 &gt;&gt; type-of(100)
 2 "number"
 3 &gt;&gt; type-of(100px)
 4 "number"
 5 &gt;&gt; type-of("asdf")
 6 "string"
 7 &gt;&gt; type-of(asdf)
 8 "string"
 9 &gt;&gt; type-of(true)
10 "bool"
11 &gt;&gt; type-of(false)
12 "bool"
13 &gt;&gt; type-of(#fff)
14 "color"
15 &gt;&gt; type-of(blue)
16 "color"
17 &gt;&gt; type-of(1 / 2 = 1)
18 "string"</pre>
<p><strong>unit()函数</strong><br /><strong>unit() 函数主要是用来获取一个值所使用的单位，碰到复杂的计算时，其能根据运算得到一个&ldquo;多单位组合&rdquo;的值，不过只充许乘、除运算：</strong></p>
<pre> 1 &gt;&gt; unit(100)
 2 ""
 3 &gt;&gt; unit(100px)
 4 "px"
 5 &gt;&gt; unit(20%)
 6 "%"
 7 &gt;&gt; unit(1em)
 8 "em"
 9 &gt;&gt; unit(10px * 3em)
10 "em*px"
11 &gt;&gt; unit(10px / 3em)
12 "px/em"
13 &gt;&gt; unit(10px * 2em / 3cm / 1rem)
14 "em/rem"</pre>
<p>但加、减碰到不同单位时，unit() 函数将会报错，除 px 与 cm、mm 运算之外：</p>
<pre> 1 &gt;&gt; unit(1px + 1cm)
 2 "px"
 3 &gt;&gt; unit(1px - 1cm)
 4 "px"
 5 &gt;&gt; unit(1px + 1mm)
 6 "px"
 7 &gt;&gt; unit(10px * 2em - 3cm / 1rem)
 8 SyntaxError: Incompatible units: ‘cm‘ and ‘px*em‘.
 9 &gt;&gt; unit(10px * 2em - 1px / 1rem)
10 SyntaxError: Incompatible units: ‘‘ and ‘em‘.
11 &gt;&gt; unit(1px - 1em)
12 SyntaxError: Incompatible units: ‘em‘ and ‘px‘.
13 &gt;&gt; unit(1px - 1rem)
14 SyntaxError: Incompatible units: ‘rem‘ and ‘px‘.
15 &gt;&gt; unit(1px - 1%)
16 SyntaxError: Incompatible units: ‘%‘ and ‘px‘.
17 &gt;&gt; unit(1cm + 1em)
18 SyntaxError: Incompatible units: ‘em‘ and ‘cm‘.</pre>
<p><strong>unit() 函数对于单位运算相对来说也没有规律，而且有些单位也无法整合成一个单位，对于我们在 CSS 中运用中并不适合</strong>，比如：</p>
<pre>1 &gt;&gt; unit(10px * 3em)
2 "em*px"
3 &gt;&gt; unit(10px / 3em)
4 "px/em"
5 &gt;&gt; unit(10px * 2em / 3cm / 1rem)
6 "em/rem"</pre>
<p>上面运算出来的单位，对于在 CSS 中使用将是没有任何意义的。</p>
<p><strong>unitless()函数</strong><br /><strong>unitless() 函数相对来说简单明了些，只是用来判断一个值是否带有单位，如果不带单位返回的值为 true，带单位返回的值为 false</strong>：</p>
<pre> 1 &gt;&gt; unitless(100)
 2 true
 3 &gt;&gt; unitless(100px)
 4 false
 5 &gt;&gt; unitless(100em)
 6 false
 7 &gt;&gt; unitless(100%)
 8 false
 9 &gt;&gt; unitless(1 /2 )
10 true
11 &gt;&gt; unitless(1 /2 + 2 )
12 true
13 &gt;&gt; unitless(1px /2 + 2 )
14 false</pre>
<p>代码实现：用户在调用混合宏时，如果用户没有给参数值加上单位，程序会自动加入单位。</p>
<pre> 1 @mixin adjust-location($x, $y) {
 2     @if unitless($x) {
 3         $x: 1px * $x;
 4     }
 5     @if unitless($y) {
 6         $y: 1px * $y;
 7     }
 8     position: relative;
 9     left: $x;
10     top: $y;
11 }
12 .botton{
13     @include adjust-location(20px, 30);
14 }</pre>
<p>编译过来的CSS：</p>
<pre>1 .botton {
2     position: relative;
3     left: 20px;
4     top: 30px;
5 }</pre>
<p><strong>comparable()函数</strong><br /><strong>comparable()函数主要是用来判断连个数是否可以进行&ldquo;加，减&rdquo;以及&ldquo;合并&rdquo;。如果可以返回的值为true，如果不可以返回的值是false:</strong></p>
<pre> 1 &gt;&gt; comparable(2px,1px)
 2 true
 3 &gt;&gt; comparable(2px,1%)
 4 false
 5 &gt;&gt; comparable(2px,1em)
 6 false
 7 &gt;&gt; comparable(2rem,1em)
 8 false
 9 &gt;&gt; comparable(2px,1cm)
10 true
11 &gt;&gt; comparable(2px,1mm)
12 true
13 &gt;&gt; comparable(2px,1rem)
14 false
15 &gt;&gt; comparable(2cm,1mm)
16 true</pre>
<p><strong>Miscellaneous函数</strong><br /><strong>在这里吧Miscellaneous函数称为三元条件函数，主要因为他和JavaScript中的三元判断非常的相似。他有两个值，当条件成立返回一种值，当条件不成立时返回另一种值：</strong></p>
<pre>if($condition,$if-true,$if-false)</pre>
<p>上面表达式的意思是当<strong>$condition</strong>条件成立时，返回的值为 $if-true，否则返回的是 $if-false 值。</p>
<pre>1 &gt;&gt; if(true,1px,2px)
2 1px
3 &gt;&gt; if(false,1px,2px)
4 2px</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:02:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Sass函数--列表函数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nor1yM.html" rel="bookmark">10天精通Sass 之 Sass列表函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列表函数主要有: length($list):返回一个列表的长度值: nth(list,n):返回一个列表中指定的某个标签值 join(list1,list2, [$separator]):将两个列给连接在一起,变成一个列表: append(list1,val, [$separator]):将某个值放在列表的最后: zip($lists-):将几个列表结合成一个多维的列表: index(list,value):返回一个值在列表中的位置值. length($list)返回一个列表的长度值 .spa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGL1x60.html" rel="bookmark">Sass Maps的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Sass Maps的函数 前面介绍了使用 map 来管理变量,但要在 Sass 中获取变量,或者对 map 做更多有意义的操作,我们必须借助于 map 的函数功能.在 Sass 中 map 自身带了七个函数: map-get($map,$key):根据给定的 key 值,返回 map 中相关的值. map-merge($map1,$map2):将两个 map 合并成一个新的 map. map-remove($map,$key):从 map 中删除一个 key,返回一个新 map. map-key			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8Wml3.html" rel="bookmark">虚函数列表： 取出方法 &sol;&sol; 虚函数工作原理和&lpar;虚&rpar;继承类的内存占用大小计算  32位机器上 sizeof&lpar;void &ast;&rpar; &sol;&sol; 4byte</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &lt;iostream&gt; using namespace std; class A { public: A(){} virtual void geta(){ cout &lt;&lt; &quot;A:A&quot; &lt;&lt;endl; } virtual void getb(){ cout &lt;&lt; &quot;A:B&quot; &lt;&lt;endl; } }; class B :public A{ public: B(){} virtual void g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rv71b3.html" rel="bookmark">&OpenCurlyDoubleQuote;虐心&rdquo;的获取C&plus;&plus;函数列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在这里和大家分享一下如何获取c++文件中的函数列表,问题和灵感来自于同事小W自开发的C++代码覆盖率工具,原理是通过给现有的代码进行打桩,在运行到该函数的时候对该函数进行标记,最终统计得到代码的函数覆盖度. 如图:程序的源代码 经过打桩后的代码 原理大致如下,这里就不给大家详细介绍了. 那么问题的重点来了,如何解析并且获取cpp文件中的函数呢? 首先想到的方法是的利用编译原理的思想通过添加规则的方法去获取函数,如:对&quot;{&quot;,&quot;}&quot;,&quot;(&quot;,&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02LApo4.html" rel="bookmark">untra edit 显示文件函数列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UltraEdit的函数列表竟然不显示函数,那这功能要它何用,应该如何才能让函数显示出来呢? 1:先查看一下UE的菜单:视图--&gt;查看方式(语法高亮类型)--&gt;选择相应的语言(我们用的是C,嗯嗯这个步骤有快捷键哦) 2:如果显示是上面的情况,则需要修改配置:高级--&gt;配置(导航)--&gt;编辑器显示--&gt;语法高亮--&gt;文档的完整路径名称.选择你安装的文件UE根目录下的WORDFILE.UEW文件或者 wordfile 目录. 3:视图--&gt;环境,选择“Power Us			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWLQBB0.html" rel="bookmark">ida idc函数列表全集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面是函数描述信息中的约定: 'ea' 线性地址 'success' 0表示函数失败:反之为1 'void'表示函数返回的是没有意义的值(总是0) AddBptEx AddBpt AddCodeXref AddConstEx AddEntryPoint AddEnum AddHotkey AddSourceFile AddStrucEx AddStrucMember AltOp Analysis AnalyzeArea AppendFchunk ApplySig AskAddr AskFile			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NqRwG3.html" rel="bookmark">《zw版&amp;&num;183&semi;delphi与halcon系列原创教程》zw版&lowbar;THImagex控件函数列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;zw版·delphi与halcon系列原创教程&gt;zw版_THImagex控件函数列表 Halcon虽然庞大,光HALCONXLib_TLB.pas文件,源码就要7w多行,但核心控件就是两个: THImagex,图像数据控件,v11版,包括488个函数和子程序 THOperatorSetX,操作主接口控件,v11版,包括1929个子程序 以上两大核心控件,已经删除个别delphi内部属性函数,不影响日常使用. 其他控件,基本上,都是为配合两个控件,提供数据类型支持.辅助功能.已经一些特殊应用(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JvplY4.html" rel="bookmark">python列表函数和方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python列表函数和方法 python列表中主要有以下函数: cmp(list1,list2)    比较两个列表的元素 len(list)           列表元素的个数 max(list)           返回列表元素的最大值 min(list)           返回列表元素的最小值 list(seq)           将元组转换成列表 ---------------------------------我是华丽的分割线----------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38yrJl4.html" rel="bookmark">10&period;迭代器&sol;生成器&sol;协程函数&sol;列表生成器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				迭代器为什么要用迭代器?小结:生成器为什么要使用生成器,什么是生成器?如何创建一个生成器举个栗子:斐波拉契数列用yield返回结果的执行流程作业代码以及注释:协程函数面向过程编程作业以及代码注解:典型范例以及代码解析:列表生成式生成器表达式作业和练习 迭代器 为什么要用迭代器? 提供了一种不依赖索引的取值方式,使一些不具有索引属性的对象也能遍历输出 相比列表,迭代器的惰性计算更加节约内存. 但是它无法有针对性地指定取某个值,并且只能向后取值. &gt;&gt;&gt; from collections i			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QYJe4.html" rel="bookmark" class="title">POJ 2411 Mondriaan&amp;&num;39&semi;s Dream</a>
					<div>
						题目链接:http://poj.org/problem?id=2411 状态压缩Dynamic Programming. For each row, at ith position, 1 means  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g411rG4.html" rel="bookmark" class="title">Linux的一些简单命令&lpar;四&rpar;-用户和组账户管理</a>
					<div>
						linux操作系统是一个多用户操作系统,它允许多用户同时登录到系统上并使用资源.系统会根据账户来区分每个用户的文件,进程,任务和工作环境,使得每个用户工作都不受干扰 1.保存用户信息的文件:/etc/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49bEObM.html" rel="bookmark" class="title">微信应用号小程序wx&period;onSocketError&lpar;CALLBACK&rpar;</a>
					<div>
						微信应用号小程序wx.onSocketError(CALLBACK) wx.onSocketError(CALLBACK) ? 监听WebSocket错误 示例代码: wx.connectSocket ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x81yL0.html" rel="bookmark" class="title">git - 简明指南（转）</a>
					<div>
						安装 下载 git OSX 版 下载 git Windows 版 下载 git Linux 版 创建新仓库 创建新文件夹,打开,然后执行  git init 以创建新的 git 仓库. 检出仓库 执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MP8XOmM.html" rel="bookmark" class="title">【系统移植】U&lowbar;BOOT移植</a>
					<div>
						U-BOOT移植 Bootloader引导启动 0x0000_0000 0x0000_8000 32KB IROM 0x0002_0000 0x0003_8000 96KB IRAM 0x0003_4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvvOv3.html" rel="bookmark" class="title">技术的执念</a>
					<div>
						知识漩涡 只需稍加留意,我们就会发现自己被各种技术.工具包围.ThoughtWorks的技术雷达差不多每半年就会更新一次,在项目中更会遇到很多已经从技术雷达上消失的技术,项目上的旧技术/旧框架还在服役 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORdRZ0.html" rel="bookmark" class="title">四、GPIO</a>
					<div>
						参考自linux-2.6.32.61\Documentation\ 一.简介 GPIO全称是General Purpose Input/Output,其关联SOC上的一个管脚.平台会分配相应的GPIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eypG50.html" rel="bookmark" class="title">MAC 终端使用技巧</a>
					<div>
						一.常用终端命令. &lt;1&gt;reset 的作用很简单--将目前「终端」屏幕上的内容清空,就好像刚刚打开终端一样. &lt;2&gt;如果你在一条终端命令中发现有输入错误的话,那么用 cont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZ8e13.html" rel="bookmark" class="title">刘德华带妻女见粉丝 女儿怕生被赞&amp;quot&semi;绝世美娃&amp;quot&semi;&lpar;图&rpar;</a>
					<div>
						刘德华带妻女见粉丝 女儿怕生被赞&quot;绝世美娃&quot;(图)即时消息,日前,刘德华(华仔)的女儿刘向蕙(Hanna)的庐山真面目公开.Hanna遗传了父母外貌上的优点,被媒体称为&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglOy80.html" rel="bookmark" class="title">minerd木马攻击处理&lpar;2&rpar;</a>
					<div>
						杀毒算完成了,可是他是怎么进来的呢...因为是我刚安装的系统,就只装了个redis和rabbitmq 其他应用都没有呢 我发现我的redis的 bind 0.0.0.0:6379 默认的....应该是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEzlb4.html" rel="bookmark" class="title">POJ 1161 Walls&lpar;最短路&plus;枚举&rpar;</a>
					<div>
						POJ 1161 Walls(最短路+枚举) 题目背景 题目大意:题意是说有 n个小镇,他们两两之间可能存在一些墙(不是每两个都有),把整个二维平面分成多个区域,当然这些区域都是一些封闭的多边形(除了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JODmAM.html" rel="bookmark" class="title">20151007jq2方法</a>
					<div>
						$(&quot;img&quot;).size()获取元素的个数 $(&quot;img[title]&quot;)获取所有设置了title属性的img标签 $(&quot;img[title]&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPAKL3.html" rel="bookmark" class="title">衅迂竿合谀召诽瓷嫌芈睬端滥讼久</a>
					<div>
						http://i2.feixin.10086.cn/pages/89673/1352542135 http://i2.feixin.10086.cn/pages/90310/1352542134 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baKZmM.html" rel="bookmark" class="title">redhat配置centos网络yum源</a>
					<div>
						方案一: 配置网络yum源rpm -ivh vsftpd-2.2.2-6.el6_0.1.x86_64service vsftpd restartchkconfig --level 35 vsftpd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXdDD0.html" rel="bookmark" class="title">IntelliJIDEA Getting&plus;Started&plus;with&plus;Spring&plus;MVC&comma;&plus;Hibernate&plus;and&plus;JSON</a>
					<div>
						https://confluence.jetbrains.com/display/IntelliJIDEA/Getting+Started+with+Spring+MVC,+Hibernate+and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGnKOa4.html" rel="bookmark" class="title">python的format函数</a>
					<div>
						我们格式化构建字符串可以有3种方法:1 元组占位符m = 'python'astr = 'i love %s' % mprint astr 2 字符串的format方法m = 'python'astr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm7B7D3.html" rel="bookmark" class="title">&lbrack;家里蹲大学数学杂志&rsqb;第303期华中师范大学2004年数学分析考研试题参考解答</a>
					<div>
						1. ($50'=10'+10'+15'+15'+15'$) 求下列极限 (1) $\dps{\lim_{x\to 0}(\cos x)^\frac{1}{\sin^2x}}$. (2) $\dps{ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLpnaBM.html" rel="bookmark" class="title">JavaScript高级程序设计（读书笔记）（六）</a>
					<div>
						本笔记汇总了作者认为&quot;JavaScript高级程序设计&quot;这本书的前七章知识重点,仅供参考. 第六章 面向对象的程序设计 面向对象(Object-Oriented, OO)的语言有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NoZR6M.html" rel="bookmark" class="title">中国人的权力游戏</a>
					<div>
						情感关系,工具关系,混合型关系.情感关系,一般基于亲情,是一种长期稳定的社会关系:工具关系,以交易为基础,一般不会期待有下一次遇到,通常有极强目的性:混合关系,有一定感情基础,但是没有到随意表达真诚的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nwWzP3.html" rel="bookmark" class="title">html5  多文件上传</a>
					<div>
						一.uploadFile.html &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;Image preview on real ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
